Status: Resolved Priority: Should have
Author: Robert Lemke Category: Reflection
Created: 2010-03-16 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Classes tagged as value object must have a constructor and no setters
Description

To enforce the concept of (immutable) value objects, the class scheme builder should assure that classes which are tagged as
properties

    -  have a constructor method which is used for setting the object's properties
    -  don't have any setter methods

If these rules are neglected, the persistence framework will run in trouble because it assumes that all values are set after the
constructor has been called.

Associated revisions
Revision d05f6a03 - 2010-03-16 13:36 - Karsten Dambekalns

[+FEATURE] FLOW3 (Reflection): When building class schemata the ReflectionService now checks value objects for a constructor and no setters,
resolves #6868.
[~TASK] Party: PersonName now has a constructor and no longer any setters.

Revision 3840888d - 2010-03-16 13:49 - Karsten Dambekalns

[+FEATURE] FLOW3 (Reflection): When building class schemata the ReflectionService now checks value objects for a constructor and no setters,
resolves #6868.

History
#1 - 2010-03-16 13:06 - Karsten Dambekalns
- Target version set to 1.0 alpha 8
- Start date set to 2010-03-16

#2 - 2010-03-16 13:33 - Karsten Dambekalns
- Category changed from Persistence to Reflection
- Estimated time changed from 4.00 to 2.00

#3 - 2010-03-16 14:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3961.
